package de.ctdo.bunti.dmx;

public class DMX {

	public static int DMX_CHANNELS_MAX = 511;
	public static int DMX_CHANNELS_MIN = 0;
	public static int DMX_CHANNEL_VALUE_MAX = 255;
	public static int DMX_CHANNEL_VALUE_MIN = 0;
	
	public static int sanitizeDMXValue(int value) {
		if(value < DMX_CHANNEL_VALUE_MIN) value = DMX_CHANNEL_VALUE_MIN;
		if(value > DMX_CHANNEL_VALUE_MAX) value = DMX_CHANNEL_VALUE_MAX;
		
		return value;
	}
	
	public static boolean checkChannelBoundaries(int channel) {
		return (channel >= DMX_CHANNELS_MIN && channel <= DMX_CHANNELS_MAX);
	}
	
}
